From 85dc062f2d5722a3287c9e3b9075a9eacd7735dd Mon Sep 17 00:00:00 2001
From: Wen Yi <wen-yi@qq.com>
Date: Sun, 14 Apr 2024 09:44:56 +0800
Subject: [PATCH v6 2/2] psql: Rethinking of \du command

---
 src/bin/psql/describe.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/bin/psql/describe.c b/src/bin/psql/describe.c
index fd0fb950eb..2ebf6f6285 100644
--- a/src/bin/psql/describe.c
+++ b/src/bin/psql/describe.c
@@ -3679,7 +3679,7 @@ describeRoles(const char *pattern, bool verbose, bool showSystem)
 					  "    CASE WHEN r.rolinherit THEN '%s' END,\n"
 					  "    CASE WHEN r.rolreplication THEN '%s' END",
 					  gettext_noop("Role name"),
-					  gettext_noop("yes"), gettext_noop("no"),
+					  gettext_noop("Can"), gettext_noop(""),
 					  gettext_noop("Login"),
 					  gettext_noop("Superuser"),
 					  gettext_noop("Create DB"),
@@ -3699,8 +3699,8 @@ describeRoles(const char *pattern, bool verbose, bool showSystem)
 						  ",\n  CASE WHEN r.rolpassword IS NULL THEN '%s'\n"
 						  "       WHEN r.rolpassword = '********' THEN '%s'\n"
 						  "  END \"%s\"",
-					  gettext_noop("no"), gettext_noop("yes"),
-					  gettext_noop("Password?"));
+					  gettext_noop(""), gettext_noop("Has"),
+					  gettext_noop("Password"));
 
 	appendPQExpBuffer(&buf,
 					  ",\n  CASE WHEN r.rolvaliduntil IS NOT NULL and r.rolpassword IS NULL\n"
-- 
2.44.0

